commit:     66e8373eefd379b9e2424b696abe7094e4e292eb
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Thu Jun  9 05:16:52 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Jun  9 05:17:37 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=66e8373e

dev-python/yara-python: fix python_compile

We shouldn't be using foreach_impl w/ distutils-r1 (at least
when D_U_PEP517!=no)

Closes: https://bugs.gentoo.org/850619
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-python/yara-python/yara-python-4.2.0-r1.ebuild | 30 ++++++++++++++++++++++
 1 file changed, 30 insertions(+)

diff --git a/dev-python/yara-python/yara-python-4.2.0-r1.ebuild 
b/dev-python/yara-python/yara-python-4.2.0-r1.ebuild
new file mode 100644
index 000000000000..fa16ee3db1f1
--- /dev/null
+++ b/dev-python/yara-python/yara-python-4.2.0-r1.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} )
+inherit distutils-r1
+
+DESCRIPTION="Python interface for a malware identification and classification 
tool"
+HOMEPAGE="https://github.com/VirusTotal/yara-python";
+SRC_URI="https://github.com/virustotal/yara-python/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="${PYTHON_DEPS}
+       =app-forensics/yara-$(ver_cut 1-2)*"
+DEPEND="${RDEPEND}"
+
+distutils_enable_tests unittest
+
+python_compile() {
+       distutils-r1_python_compile --dynamic-linking
+}
+
+python_test() {
+       "${EPYTHON}" tests.py || die "Tests fail with ${EPYTHON}"
+}

Reply via email to